@microsoft/m365agentstoolkit-cli 1.1.18-rc.0 → 1.1.19-alpha.c89a0dd682.0

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
@@ -309,6 +309,8 @@ PERFORMANCE OF THIS SOFTWARE.
309
309
 
310
310
  /*! fetch-blob. MIT License. Jimmy Wärting <https://jimmy.warting.se/opensource> */
311
311
 
312
+ /*! formdata-polyfill. MIT License. Jimmy Wärting <https://jimmy.warting.se/opensource> */
313
+
312
314
  /*! http://mths.be/fromcodepoint v0.1.0 by @mathias */
313
315
 
314
316
  /*! node-domexception. MIT License. Jimmy Wärting <https://jimmy.warting.se/opensource> */
package/lib/index.js.map CHANGED
@@ -1,4 +1,4 @@
1
1
  [diffend] Oversized file quarantined before diffing.
2
2
  name: package/lib/index.js.map
3
- size: 35431699 bytes
4
- sha256: 5e63b097f750a56bb3be075d624d0e57782a8c64336de9478cb9eac95b2cc445
3
+ size: 35906986 bytes
4
+ sha256: b3207dbf24eaca70b4c73556113739e822ce59e13ff8d3065516a4966f9afef7
package/package.json CHANGED
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@microsoft/m365agentstoolkit-cli",
3
- "version": "1.1.18-rc.0",
3
+ "version": "1.1.19-alpha.c89a0dd682.0",
4
4
  "author": "Microsoft Corporation",
5
5
  "description": "Microsoft 365 Agents Toolkit CLI",
6
6
  "license": "MIT",
@@ -26,7 +26,7 @@
26
26
  "atk": "./cli.js",
27
27
  "m365agentstoolkit-cli": "./cli.js"
28
28
  },
29
- "aiKey": "2b2a561e-be84-4bee-b3a9-12b2a2c9e974",
29
+ "aiKey": "1c56be97-bb74-42cf-b04b-8f1aabf04592",
30
30
  "devDependencies": {
31
31
  "@inquirer/testing": "^2.1.2",
32
32
  "@types/chai": "^4.2.14",
@@ -75,7 +75,7 @@
75
75
  "vitest": "^4.1.8",
76
76
  "webpack": "^5.95.0",
77
77
  "webpack-cli": "^5.1.4",
78
- "@microsoft/metrics-ts": "0.0.13-rc.0"
78
+ "@microsoft/metrics-ts": "0.0.14-alpha.c89a0dd682.0"
79
79
  },
80
80
  "dependencies": {
81
81
  "@azure/arm-subscriptions": "^5.0.0",
@@ -103,8 +103,8 @@
103
103
  "tas-client": "^0.1.73",
104
104
  "tree-kill": "^1.2.2",
105
105
  "underscore": "^1.13.8",
106
- "@microsoft/teamsfx-core": "3.1.4-rc.0",
107
- "@microsoft/teamsfx-api": "0.24.3-rc.0"
106
+ "@microsoft/teamsfx-api": "0.24.4-alpha.c89a0dd682.0",
107
+ "@microsoft/teamsfx-core": "3.1.5-alpha.c89a0dd682.0"
108
108
  },
109
109
  "optionalDependencies": {
110
110
  "keytar": "^7.7.0"
@@ -121,7 +121,7 @@
121
121
  "gitHead": "7d60c0765c0ea8c023a26c10d1c93001c597afbb",
122
122
  "publishConfig": {
123
123
  "access": "public",
124
- "tag": "rc"
124
+ "tag": "alpha"
125
125
  },
126
126
  "lint-staged": {
127
127
  "*.{js,jsx,css,ts,tsx}": [
@@ -1949,45 +1949,62 @@
1949
1949
  "dcrRegister": {
1950
1950
  "type": "object",
1951
1951
  "additionalProperties": false,
1952
- "description": "Create a Dynamic Client Registration (DCR) configuration.",
1952
+ "description": "Create a Dynamic Client Registration (DCR) configuration through Teams Graph Service (TGS). Registration is skipped when the mapped configurationId environment variable already has a value.",
1953
1953
  "required": ["uses", "with", "writeToEnvironmentFile"],
1954
1954
  "properties": {
1955
1955
  "uses": {
1956
1956
  "type": "string",
1957
- "description": "Register a DCR configuration.",
1957
+ "description": "Register an OAuth configuration using server-side Dynamic Client Registration.",
1958
1958
  "const": "dcr/register"
1959
1959
  },
1960
1960
  "with": {
1961
1961
  "type": "object",
1962
1962
  "additionalProperties": false,
1963
- "description": "Parameters for this action",
1964
- "required": ["name", "wellKnownAuthorizationServer"],
1963
+ "description": "DCR registration parameters. Supply mcpResourceUrl for protected resource metadata discovery, wellKnownAuthorizationServer to pin authorization-server metadata, or both.",
1964
+ "required": ["name", "targetUrlsShouldStartWith"],
1965
+ "anyOf": [
1966
+ { "required": ["mcpResourceUrl"] },
1967
+ { "required": ["wellKnownAuthorizationServer"] }
1968
+ ],
1965
1969
  "properties": {
1966
1970
  "name": {
1967
1971
  "type": "string",
1968
- "description": "The display name of the DCR configuration. Becomes the clientName sent during RFC 7591 registration. Max 128 characters."
1972
+ "description": "Required client name sent to TGS as clientName for dynamic registration. Maximum 128 characters."
1969
1973
  },
1970
1974
  "appId": {
1971
1975
  "type": "string",
1972
- "description": "The Teams app id associated with this configuration. Only takes effect when applicableToApps is SpecificApp."
1976
+ "description": "Microsoft 365 app ID. Required when applicableToApps is SpecificApp; ignored when applicableToApps is AnyApp."
1977
+ },
1978
+ "mcpResourceUrl": {
1979
+ "type": "string",
1980
+ "minLength": 1,
1981
+ "description": "HTTPS URL of the actual MCP endpoint, including its path. Recommended for new configurations. TGS probes this endpoint and RFC 9728 well-known locations for protected resource metadata (PRM), then uses its first authorization_servers entry, resource and scopes_supported. This is not the PRM document URL and is not necessarily the OAuth resource indicator. Optional when wellKnownAuthorizationServer is supplied."
1973
1982
  },
1974
1983
  "wellKnownAuthorizationServer": {
1975
1984
  "type": "string",
1976
- "description": "URL to the authorization server's RFC 8414 metadata document. TGS fetches this to discover the registration_endpoint and performs the RFC 7591 exchange server-side."
1985
+ "minLength": 1,
1986
+ "description": "Legacy/pinning HTTPS URL of the authorization server's RFC 8414 metadata document. Optional when mcpResourceUrl is supplied. When present, this URL takes precedence for authorization-server metadata resolution. If mcpResourceUrl is also supplied, TGS still attempts best-effort PRM discovery for resource and scopes; failure of that enrichment does not fail registration."
1987
+ },
1988
+ "resource": {
1989
+ "type": "string",
1990
+ "minLength": 1,
1991
+ "description": "Optional explicit OAuth resource indicator: an absolute URI without a fragment. Overrides PRM's resource value. Normally omit this field and let PRM determine the resource; it is not inferred from mcpResourceUrl. TGS sends the selected resource in authorization, token and refresh-token requests."
1977
1992
  },
1978
1993
  "targetUrlsShouldStartWith": {
1979
1994
  "type": "array",
1980
- "description": "Outbound URL allowlist. TGS only allows this configuration to authorize calls whose destination URL starts with one of these prefixes.",
1981
- "items": { "type": "string" }
1995
+ "description": "Required MCP target URL array. TGS requires exactly one valid HTTPS URL; omission, a string, an empty array or multiple entries is rejected. New configurations use the actual MCP endpoint. This field does not set the OAuth resource indicator.",
1996
+ "minItems": 1,
1997
+ "maxItems": 1,
1998
+ "items": { "type": "string", "minLength": 1 }
1982
1999
  },
1983
2000
  "applicableToApps": {
1984
2001
  "type": "string",
1985
- "description": "Which app can use this DCR configuration. Default is \"AnyApp\".",
2002
+ "description": "Applications permitted to use this configuration: AnyApp (default), or SpecificApp, which requires appId.",
1986
2003
  "enum": ["SpecificApp", "AnyApp"]
1987
2004
  },
1988
2005
  "targetAudience": {
1989
2006
  "type": "string",
1990
- "description": "Which tenant can use this DCR configuration. Default is \"HomeTenant\".",
2007
+ "description": "Tenants permitted to use this configuration: HomeTenant (default) or AnyTenant.",
1991
2008
  "enum": ["HomeTenant", "AnyTenant"]
1992
2009
  }
1993
2010
  }
@@ -1999,7 +2016,7 @@
1999
2016
  "required": ["configurationId"],
2000
2017
  "properties": {
2001
2018
  "configurationId": {
2002
- "description": "Required. The configuration id of the created DCR registration.",
2019
+ "description": "Required environment variable name receiving the returned configurationRegistrationId.oAuthConfigId. This is a configuration ID, not an OAuth client ID or resource indicator. An existing value causes this action to skip registration.",
2003
2020
  "$ref": "#/definitions/envVarName"
2004
2021
  }
2005
2022
  }
@@ -1949,45 +1949,62 @@
1949
1949
  "dcrRegister": {
1950
1950
  "type": "object",
1951
1951
  "additionalProperties": false,
1952
- "description": "Create a Dynamic Client Registration (DCR) configuration.",
1952
+ "description": "Create a Dynamic Client Registration (DCR) configuration through Teams Graph Service (TGS). Registration is skipped when the mapped configurationId environment variable already has a value.",
1953
1953
  "required": ["uses", "with", "writeToEnvironmentFile"],
1954
1954
  "properties": {
1955
1955
  "uses": {
1956
1956
  "type": "string",
1957
- "description": "Register a DCR configuration.",
1957
+ "description": "Register an OAuth configuration using server-side Dynamic Client Registration.",
1958
1958
  "const": "dcr/register"
1959
1959
  },
1960
1960
  "with": {
1961
1961
  "type": "object",
1962
1962
  "additionalProperties": false,
1963
- "description": "Parameters for this action",
1964
- "required": ["name", "wellKnownAuthorizationServer"],
1963
+ "description": "DCR registration parameters. Supply mcpResourceUrl for protected resource metadata discovery, wellKnownAuthorizationServer to pin authorization-server metadata, or both.",
1964
+ "required": ["name", "targetUrlsShouldStartWith"],
1965
+ "anyOf": [
1966
+ { "required": ["mcpResourceUrl"] },
1967
+ { "required": ["wellKnownAuthorizationServer"] }
1968
+ ],
1965
1969
  "properties": {
1966
1970
  "name": {
1967
1971
  "type": "string",
1968
- "description": "The display name of the DCR configuration. Becomes the clientName sent during RFC 7591 registration. Max 128 characters."
1972
+ "description": "Required client name sent to TGS as clientName for dynamic registration. Maximum 128 characters."
1969
1973
  },
1970
1974
  "appId": {
1971
1975
  "type": "string",
1972
- "description": "The Teams app id associated with this configuration. Only takes effect when applicableToApps is SpecificApp."
1976
+ "description": "Microsoft 365 app ID. Required when applicableToApps is SpecificApp; ignored when applicableToApps is AnyApp."
1977
+ },
1978
+ "mcpResourceUrl": {
1979
+ "type": "string",
1980
+ "minLength": 1,
1981
+ "description": "HTTPS URL of the actual MCP endpoint, including its path. Recommended for new configurations. TGS probes this endpoint and RFC 9728 well-known locations for protected resource metadata (PRM), then uses its first authorization_servers entry, resource and scopes_supported. This is not the PRM document URL and is not necessarily the OAuth resource indicator. Optional when wellKnownAuthorizationServer is supplied."
1973
1982
  },
1974
1983
  "wellKnownAuthorizationServer": {
1975
1984
  "type": "string",
1976
- "description": "URL to the authorization server's RFC 8414 metadata document. TGS fetches this to discover the registration_endpoint and performs the RFC 7591 exchange server-side."
1985
+ "minLength": 1,
1986
+ "description": "Legacy/pinning HTTPS URL of the authorization server's RFC 8414 metadata document. Optional when mcpResourceUrl is supplied. When present, this URL takes precedence for authorization-server metadata resolution. If mcpResourceUrl is also supplied, TGS still attempts best-effort PRM discovery for resource and scopes; failure of that enrichment does not fail registration."
1987
+ },
1988
+ "resource": {
1989
+ "type": "string",
1990
+ "minLength": 1,
1991
+ "description": "Optional explicit OAuth resource indicator: an absolute URI without a fragment. Overrides PRM's resource value. Normally omit this field and let PRM determine the resource; it is not inferred from mcpResourceUrl. TGS sends the selected resource in authorization, token and refresh-token requests."
1977
1992
  },
1978
1993
  "targetUrlsShouldStartWith": {
1979
1994
  "type": "array",
1980
- "description": "Outbound URL allowlist. TGS only allows this configuration to authorize calls whose destination URL starts with one of these prefixes.",
1981
- "items": { "type": "string" }
1995
+ "description": "Required MCP target URL array. TGS requires exactly one valid HTTPS URL; omission, a string, an empty array or multiple entries is rejected. New configurations use the actual MCP endpoint. This field does not set the OAuth resource indicator.",
1996
+ "minItems": 1,
1997
+ "maxItems": 1,
1998
+ "items": { "type": "string", "minLength": 1 }
1982
1999
  },
1983
2000
  "applicableToApps": {
1984
2001
  "type": "string",
1985
- "description": "Which app can use this DCR configuration. Default is \"AnyApp\".",
2002
+ "description": "Applications permitted to use this configuration: AnyApp (default), or SpecificApp, which requires appId.",
1986
2003
  "enum": ["SpecificApp", "AnyApp"]
1987
2004
  },
1988
2005
  "targetAudience": {
1989
2006
  "type": "string",
1990
- "description": "Which tenant can use this DCR configuration. Default is \"HomeTenant\".",
2007
+ "description": "Tenants permitted to use this configuration: HomeTenant (default) or AnyTenant.",
1991
2008
  "enum": ["HomeTenant", "AnyTenant"]
1992
2009
  }
1993
2010
  }
@@ -1999,7 +2016,7 @@
1999
2016
  "required": ["configurationId"],
2000
2017
  "properties": {
2001
2018
  "configurationId": {
2002
- "description": "Required. The configuration id of the created DCR registration.",
2019
+ "description": "Required environment variable name receiving the returned configurationRegistrationId.oAuthConfigId. This is a configuration ID, not an OAuth client ID or resource indicator. An existing value causes this action to skip registration.",
2003
2020
  "$ref": "#/definitions/envVarName"
2004
2021
  }
2005
2022
  }
Binary file
Binary file
Binary file
Binary file
Binary file
Binary file
@@ -1,3 +1,3 @@
1
1
  {
2
- "version": "6.18.0"
2
+ "version": "6.18.1"
3
3
  }
Binary file
Binary file